body {
    background: #2c2c2c;
    cursor: none;
    overflow: hidden;
    font-family: "Roboto", sans-serif;
  }
  

  .custom-cursor {
    width: 60px;
    height: 60px;
    background-color: #fff;
    opacity: 0.3;
    border-radius: 50%;
  }

  @media (max-width: 580px) {
    .custom-cursor {
    display: none;
      }

  
   
}
  
  .title {
    font-weight: 300;
    text-align: center;
    letter-spacing: 10px;
    font-size: 36px;
    padding-top: 50px;
  }
  .title span {
    background: radial-gradient(circle, #fff 30%, #c2c2c2 100%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
  }

  .title p {
    font-size: 27px;
    background: radial-gradient(circle, #fff 30%, #c2c2c2 100%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    line-height: 2;
  }
  
  .holder {
    transform-style: preserve-3d;
    width: 80vw;
    height: 450px;
    margin: 0 auto;
    perspective: 1000px;
  }
  
  .cylinder {
    position: relative;
    height: 100%;
    width: 100%;
    transform-style: preserve-3d;
    animation: spin 30s infinite linear;
  }

  
  .face {
    background: radial-gradient(circle, #fff 30%, #c2c2c2 100%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
    font-size: 62px;
    letter-spacing: 4px;
    line-height: 50px;
    font-weight: 900;
    text-align: center;
    position: absolute;
    width: auto;
    height: 50px;
    top: 50%;
    left: 50%;
    transform: rotateX(calc(18deg * var(--index))) translateZ(calc(159.1549430919px)) translateX(-50%);
  }
  
  @keyframes spin {
    to {
      transform: rotateX(-360deg);
    }
  }